/*
 * NumericoLongitudoContieneCaracteresIncorrecta.java
 *
 * Created on 21 de marzo de 2007, 12:17 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class NumericoLongitudoContieneCaracteresIncorrecta extends AbstractRule {

	/** Creates a new instance of NumericoLongitudoContieneCaracteresIncorrecta */
	public NumericoLongitudoContieneCaracteresIncorrecta() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		if (field.length() < new Integer((String) getParams()[0]).intValue()
				|| field.length() > new Integer((String) getParams()[1])
						.intValue())
			return true;
		try {
			if (field.length() > 0) {
				Long.parseLong(field);
			}
		} catch (Exception e) {
			return true;
		}
		if (field.indexOf('+') >= 0 || field.indexOf('.') >= 0
				|| field.indexOf('-') >= 0 || field.indexOf('e') >= 0
				|| field.indexOf('E') >= 0) {
			return true;
		}

		return false;

	}
}
